Bug 853202 - HA broker crash during queue reroute
HA broker crash during queue reroute
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 2.3
: ---
Assigned To: Alan Conway
MRG Quality Engineering
: OtherQA
Depends On:
Blocks: 698367
  Show dependency treegraph
 
Reported: 2012-08-30 13:43 EDT by Justin Ross
Modified: 2013-03-19 12:42 EDT (History)
8 users (show)

See Also:
Fixed In Version: qpid-cpp-0.18-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4259 None None None 2012-08-30 13:43:56 EDT

  None (edit)
Description Justin Ross 2012-08-30 13:43:31 EDT
See https://issues.apache.org/jira/browse/QPID-4259
Comment 3 Alan Conway 2012-09-24 09:19:35 EDT
To reproduce, create a priority queue bound to the fanout exchange, send some messages, then reroute from the queue to the fanout exchange (so rerouting to self). This will crash the broker. For exact details of the reproducer see the regression test test_priority_reroute at:

http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=blobdiff;f=qpid/cpp/src/tests/ha_tests.py;h=6eb3d9d9d2da6fd8e1202f20d52df30bc89b55b5;hp=7c0ee37c6915b27153ae84cf49fe2470f34d871a;hb=f9856b87379afd02b0fa2665c41b066778f2c9a4;hpb=0276e1436d5b39434fc7c68c4feb05b0cf4b0ad3

Note You need to log in before you can comment on or make changes to this bug.